diff --git a/src/main/java/net/minecraft/core/world/chunk/Chunk.java b/src/main/java/net/minecraft/core/world/chunk/Chunk.java
index 117f63147..60c7ea72f 100644
--- a/src/main/java/net/minecraft/core/world/chunk/Chunk.java
+++ b/src/main/java/net/minecraft/core/world/chunk/Chunk.java
@@ -1,8 +1,7 @@
 package net.minecraft.core.world.chunk;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.AABB;
@@ -10,7 +9,7 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.EntityBlock;
+import net.minecraft.core.block.BlockTileEntity;
 import org.jetbrains.annotations.Nullable;
 import org.slf4j.Logger;
 
@@ -30,7 +29,7 @@ public class Chunk
     public int lowestY;
     public final int xPosition;
     public final int zPosition;
-    public Map<ChunkPosition, BlockEntity> blockEntityMap;
+    public Map<ChunkPosition, TileEntity> blockEntityMap;
     public double[] temperature;
     public double[] humidity;
     public double[] variety;
@@ -488,63 +487,63 @@ public class Chunk
         return y >= getHeightValue(x, z);
     }
 
-    public BlockEntity getBlockEntity(int x, int y, int z)
+    public TileEntity getBlockEntity(int x, int y, int z)
     {
         ChunkPosition pos = new ChunkPosition(x, y, z);
-        BlockEntity blockEntity = blockEntityMap.get(pos);
-        if(blockEntity == null)
+        TileEntity tileEntity = blockEntityMap.get(pos);
+        if(tileEntity == null)
         {
             int id = getBlockID(x, y, z);
             if(!Block.isEntityTile[id])
             {
                 return null;
             }
-            EntityBlock tileEntityBlock = (EntityBlock)Block.blocksList[id];
+            BlockTileEntity tileEntityBlock = (BlockTileEntity)Block.blocksList[id];
             tileEntityBlock.onBlockPlacedByWorld(world, xPosition * CHUNK_SIZE_X + x, y, zPosition * CHUNK_SIZE_Z + z);
-            blockEntity = blockEntityMap.get(pos);
+            tileEntity = blockEntityMap.get(pos);
         }
-        if(blockEntity != null && blockEntity.isInvalid())
+        if(tileEntity != null && tileEntity.isInvalid())
         {
             blockEntityMap.remove(pos);
             return null;
         }
         else
         {
-            return blockEntity;
+            return tileEntity;
         }
     }
 
-    public void addBlockEntity(BlockEntity blockEntity)
+    public void addBlockEntity(TileEntity tileEntity)
     {
-        int x = blockEntity.x - xPosition * CHUNK_SIZE_X;
-        int y = blockEntity.y;
-        int z = blockEntity.z - zPosition * CHUNK_SIZE_Z;
-        setBlockEntity(x, y, z, blockEntity);
+        int x = tileEntity.x - xPosition * CHUNK_SIZE_X;
+        int y = tileEntity.y;
+        int z = tileEntity.z - zPosition * CHUNK_SIZE_Z;
+        setBlockEntity(x, y, z, tileEntity);
         if(isLoaded)
         {
-            world.loadedBlockEntityList.add(blockEntity);
+            world.loadedTileEntityList.add(tileEntity);
         }
     }
 
     /**
      * @return True if the specified block entity was set
      */
-    public boolean setBlockEntity(int x, int y, int z, BlockEntity blockEntity)
+    public boolean setBlockEntity(int x, int y, int z, TileEntity tileEntity)
     {
         ChunkPosition chunkposition = new ChunkPosition(x, y, z);
-        blockEntity.worldObj = world;
-        blockEntity.x = xPosition * CHUNK_SIZE_X + x;
-        blockEntity.y = y;
-        blockEntity.z = zPosition * CHUNK_SIZE_Z + z;
-        if (!(Block.blocksList[getBlockID(x, y, z)] instanceof EntityBlock))
+        tileEntity.worldObj = world;
+        tileEntity.x = xPosition * CHUNK_SIZE_X + x;
+        tileEntity.y = y;
+        tileEntity.z = zPosition * CHUNK_SIZE_Z + z;
+        if (!(Block.blocksList[getBlockID(x, y, z)] instanceof BlockTileEntity))
         {
             LOGGER.warn("Attempted to place a tile entity where there was no entity tile!");
             Thread.dumpStack();
         }
         else
         {
-            blockEntity.validate();
-            BlockEntity previous = blockEntityMap.put(chunkposition, blockEntity);
+            tileEntity.validate();
+            TileEntity previous = blockEntityMap.put(chunkposition, tileEntity);
             if (previous != null) {
                 previous.invalidate();
             }
@@ -558,18 +557,18 @@ public class Chunk
         ChunkPosition pos = new ChunkPosition(x, y, z);
         if(isLoaded)
         {
-            BlockEntity blockEntity = blockEntityMap.remove(pos);
-            if(blockEntity != null)
+            TileEntity tileEntity = blockEntityMap.remove(pos);
+            if(tileEntity != null)
             {
-                blockEntity.invalidate();
+                tileEntity.invalidate();
             }
         }
     }
 
-    public void removeBlockEntity(BlockEntity blockEntity) {
-        if (isLoaded && blockEntity != null && blockEntityMap.containsValue(blockEntity)) {
-            blockEntityMap.remove(new ChunkPosition(blockEntity.x & (Chunk.CHUNK_SIZE_X - 1), blockEntity.y, blockEntity.z & (Chunk.CHUNK_SIZE_Z - 1)));
-            blockEntity.invalidate();
+    public void removeBlockEntity(TileEntity tileEntity) {
+        if (isLoaded && tileEntity != null && blockEntityMap.containsValue(tileEntity)) {
+            blockEntityMap.remove(new ChunkPosition(tileEntity.x & (Chunk.CHUNK_SIZE_X - 1), tileEntity.y, tileEntity.z & (Chunk.CHUNK_SIZE_Z - 1)));
+            tileEntity.invalidate();
         }
     }
 
@@ -586,8 +585,8 @@ public class Chunk
     public void onUnload()
     {
         isLoaded = false;
-        BlockEntity tileentity;
-        for(Iterator<BlockEntity> iterator = blockEntityMap.values().iterator(); iterator.hasNext(); tileentity.invalidate())
+        TileEntity tileentity;
+        for(Iterator<TileEntity> iterator = blockEntityMap.values().iterator(); iterator.hasNext(); tileentity.invalidate())
         {
             tileentity = iterator.next();
         }
diff --git a/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java b/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
index a0b76faa2..49a1ea7b2 100644
--- a/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
+++ b/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
@@ -2,14 +2,14 @@ package net.minecraft.core.world.chunk;
 
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.world.World;
 
 // Referenced classes of package net.minecraft.src:
 //            IBlockAccess, World, Chunk, WorldProvider, 
-//            Block, Material, BlockEntity, WorldChunkManager
+//            Block, Material, TileEntity, WorldChunkManager
 
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.biome.Biome;
@@ -75,7 +75,7 @@ public class ChunkCache
     }
 
     @Override
-	public BlockEntity getBlockEntity(int x, int y, int z)
+	public TileEntity getBlockEntity(int x, int y, int z)
     {
         int l = Math.floorDiv(x, Chunk.CHUNK_SIZE_X) - chunkX;
         int i1 = Math.floorDiv(z, Chunk.CHUNK_SIZE_Z) - chunkZ;
diff --git a/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderLegacy.java b/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderLegacy.java
index ca34189d2..8775c43a0 100644
--- a/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderLegacy.java
+++ b/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderLegacy.java
@@ -2,7 +2,8 @@ package net.minecraft.core.world.chunk;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.Global;
-import net.minecraft.core.block.entity.BlockEntityDispatcher;
+import net.minecraft.core.block.entity.TileEntityDispatcher;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import com.mojang.nbt.Tag;
@@ -17,7 +18,6 @@ import net.minecraft.core.world.chunk.writer.ChunkWriter;
 import net.minecraft.core.world.data.ChunkNibbleArray;
 import net.minecraft.core.world.data.ChunkUnsignedByteArray;
 import net.minecraft.core.world.World;
-import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.world.save.LevelData;
 import org.slf4j.Logger;
 
@@ -206,10 +206,10 @@ public class ChunkLoaderLegacy
         // Write tile entities
         ListTag tileEntityListTag = new ListTag();
         CompoundTag tileEntityTag;
-        for (BlockEntity blockEntity : chunk.blockEntityMap.values())
+        for (TileEntity tileEntity : chunk.blockEntityMap.values())
         {
             tileEntityTag = new CompoundTag();
-            blockEntity.writeToNBT(tileEntityTag);
+            tileEntity.writeToNBT(tileEntityTag);
             tileEntityListTag.addTag(tileEntityTag);
         }
         tag.put("TileEntities", tileEntityListTag);
@@ -304,10 +304,10 @@ public class ChunkLoaderLegacy
                 if (tileEntityTagBase instanceof CompoundTag)
                 {
                     CompoundTag tileEntityTag = (CompoundTag) tileEntityTagBase;
-                    BlockEntity blockEntity = BlockEntityDispatcher.createAndLoadEntity(tileEntityTag);
-                    if (blockEntity != null)
+                    TileEntity tileEntity = TileEntityDispatcher.createAndLoadEntity(tileEntityTag);
+                    if (tileEntity != null)
                     {
-                        chunk.addBlockEntity(blockEntity);
+                        chunk.addBlockEntity(tileEntity);
                     }
                 }
             }
diff --git a/src/main/java/net/minecraft/core/world/chunk/DisplayChunk.java b/src/main/java/net/minecraft/core/world/chunk/DisplayChunk.java
index bb96abdfd..e0eea2729 100644
--- a/src/main/java/net/minecraft/core/world/chunk/DisplayChunk.java
+++ b/src/main/java/net/minecraft/core/world/chunk/DisplayChunk.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.world.chunk;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.world.World;
 
@@ -10,7 +10,7 @@ public class DisplayChunk extends EmptyChunk{
     public static int displayBlockPosX = 0;
     public static int displayBlockPosY = 0;
     public static int displayBlockPosZ = 0;
-    public static BlockEntity displayBlockEntity = null;
+    public static TileEntity displayTileEntity = null;
     public DisplayChunk(World world, int x, int z) {
         super(world, x, z);
     }
@@ -36,14 +36,14 @@ public class DisplayChunk extends EmptyChunk{
         return 15;
     }
     @Override
-    public boolean setBlockEntity(int x, int y, int z, BlockEntity blockEntity)
+    public boolean setBlockEntity(int x, int y, int z, TileEntity tileEntity)
     {
         if (x == displayBlockPosX && y == displayBlockPosY && z == displayBlockPosZ){
-            displayBlockEntity = blockEntity;
-            displayBlockEntity.worldObj = world;
-            displayBlockEntity.x = x;
-            displayBlockEntity.y = y;
-            displayBlockEntity.z = z;
+            displayTileEntity = tileEntity;
+            displayTileEntity.worldObj = world;
+            displayTileEntity.x = x;
+            displayTileEntity.y = y;
+            displayTileEntity.z = z;
         }
         return true;
     }
@@ -52,24 +52,24 @@ public class DisplayChunk extends EmptyChunk{
     public void removeBlockEntity(int x, int y, int z)
     {
         if (x == displayBlockPosX && y == displayBlockPosY && z == displayBlockPosZ){
-            displayBlockEntity = null;
+            displayTileEntity = null;
         }
     }
     @Override
-    public BlockEntity getBlockEntity(int x, int y, int z)
+    public TileEntity getBlockEntity(int x, int y, int z)
     {
         if (x == displayBlockPosX && y == displayBlockPosY && z == displayBlockPosZ){
-            return displayBlockEntity;
+            return displayTileEntity;
         }
         return null;
     }
-    public static void setDisplayTileEntity(World world, BlockEntity entity){
-        displayBlockEntity = entity;
-        if (displayBlockEntity != null){
-            displayBlockEntity.worldObj = world;
-            displayBlockEntity.x = DisplayChunk.displayBlockPosX;
-            displayBlockEntity.y = DisplayChunk.displayBlockPosY;
-            displayBlockEntity.z = DisplayChunk.displayBlockPosZ;
+    public static void setDisplayTileEntity(World world, TileEntity entity){
+        displayTileEntity = entity;
+        if (displayTileEntity != null){
+            displayTileEntity.worldObj = world;
+            displayTileEntity.x = DisplayChunk.displayBlockPosX;
+            displayTileEntity.y = DisplayChunk.displayBlockPosY;
+            displayTileEntity.z = DisplayChunk.displayBlockPosZ;
         }
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/chunk/EmptyChunk.java b/src/main/java/net/minecraft/core/world/chunk/EmptyChunk.java
index 53d31aecb..cc171872e 100644
--- a/src/main/java/net/minecraft/core/world/chunk/EmptyChunk.java
+++ b/src/main/java/net/minecraft/core/world/chunk/EmptyChunk.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.world.chunk;
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.enums.LightLayer;
@@ -12,7 +12,7 @@ import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
 //            Chunk, World, EnumSkyBlock, Entity, 
-//            BlockEntity, AxisAlignedBB
+//            TileEntity, AxisAlignedBB
 
 public class EmptyChunk extends Chunk
 {
@@ -119,18 +119,18 @@ public class EmptyChunk extends Chunk
     }
 
     @Override
-	public BlockEntity getBlockEntity(int x, int y, int z)
+	public TileEntity getBlockEntity(int x, int y, int z)
     {
         return null;
     }
 
     @Override
-	public void addBlockEntity(BlockEntity blockEntity)
+	public void addBlockEntity(TileEntity tileEntity)
     {
     }
 
     @Override
-	public boolean setBlockEntity(int x, int y, int z, BlockEntity blockEntity)
+	public boolean setBlockEntity(int x, int y, int z, TileEntity tileEntity)
     {
         return false;
     }
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
index 992d35d66..4f5131175 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.world.generate.chunk.perlin.nether;
 
+import net.minecraft.core.block.BlockSand;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.SandBlock;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
@@ -31,7 +31,7 @@ public class ChunkDecoratorNether
 
         Random rand = new Random((long) chunkX * 0x4f9939f508L + (long) chunkZ * 0x1ef1565bd5L);
 
-        SandBlock.fallInstantly = true;
+        BlockSand.fallInstantly = true;
         int x = chunkX * 16;
         int z = chunkZ * 16;
         for(int i = 0; i < 8; i++)
@@ -90,7 +90,7 @@ public class ChunkDecoratorNether
             (new WorldFeaturePumice(32)).place(world, rand, xf, yf, zf);
         }
 
-        SandBlock.fallInstantly = false;
+        BlockSand.fallInstantly = false;
 
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
index 6adbd7322..15907905c 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
@@ -1,16 +1,16 @@
 package net.minecraft.core.world.generate.chunk.perlin.overworld;
 
-import net.minecraft.core.block.BaseLeavesBlock;
+import net.minecraft.core.block.BlockLeavesBase;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.CoalOreBlock;
-import net.minecraft.core.block.DiamondOreBlock;
-import net.minecraft.core.block.GoldOreBlock;
-import net.minecraft.core.block.IronOreBlock;
-import net.minecraft.core.block.LapisOreBlock;
-import net.minecraft.core.block.MossBlock;
-import net.minecraft.core.block.RedstoneOreBlock;
-import net.minecraft.core.block.SandBlock;
+import net.minecraft.core.block.BlockOreCoal;
+import net.minecraft.core.block.BlockOreDiamond;
+import net.minecraft.core.block.BlockOreGold;
+import net.minecraft.core.block.BlockOreIron;
+import net.minecraft.core.block.BlockOreLapis;
+import net.minecraft.core.block.BlockMoss;
+import net.minecraft.core.block.BlockOreRedstone;
+import net.minecraft.core.block.BlockSand;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biomes;
@@ -57,7 +57,7 @@ public class ChunkDecoratorOverworld
 
         float oreHeightModifier = rangeY / 128f;
 
-        SandBlock.fallInstantly = true;
+        BlockSand.fallInstantly = true;
         int x = chunkX * 16;
         int z = chunkZ * 16;
         int y = world.getHeightValue(x + 16, z + 16);
@@ -196,49 +196,49 @@ public class ChunkDecoratorOverworld
             int j6 = x + rand.nextInt(16);
             int k9 = minY + rand.nextInt(rangeY);
             int j12 = z + rand.nextInt(16);
-            new WorldFeatureOre(CoalOreBlock.variantMap, 16).place(world, rand, j6, k9, j12);
+            new WorldFeatureOre(BlockOreCoal.variantMap, 16).place(world, rand, j6, k9, j12);
         }
 
         for (int j3 = 0; j3 < (20 * oreHeightModifier); j3++) {
             int k6 = x + rand.nextInt(16);
             int l9 = minY + rand.nextInt(rangeY / 2);
             int k12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(IronOreBlock.variantMap, 8)).place(world, rand, k6, l9, k12);
+            (new WorldFeatureOre(BlockOreIron.variantMap, 8)).place(world, rand, k6, l9, k12);
         }
 
         for (int k3 = 0; k3 < (2 * oreHeightModifier); k3++) {
             int l6 = x + rand.nextInt(16);
             int i10 = minY + rand.nextInt(rangeY / 4);
             int l12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(GoldOreBlock.variantMap, 8)).place(world, rand, l6, i10, l12);
+            (new WorldFeatureOre(BlockOreGold.variantMap, 8)).place(world, rand, l6, i10, l12);
         }
 
         for (int l3 = 0; l3 < (8 * oreHeightModifier); l3++) {
             int i7 = x + rand.nextInt(16);
             int j10 = minY + rand.nextInt(rangeY / 8);
             int i13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(RedstoneOreBlock.variantMap, 7)).place(world, rand, i7, j10, i13);
+            (new WorldFeatureOre(BlockOreRedstone.variantMap, 7)).place(world, rand, i7, j10, i13);
         }
 
         for (int i4 = 0; i4 < oreHeightModifier; i4++) {
             int j7 = x + rand.nextInt(16);
             int k10 = minY + rand.nextInt(rangeY / 8);
             int j13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(DiamondOreBlock.variantMap, 7)).place(world, rand, j7, k10, j13);
+            (new WorldFeatureOre(BlockOreDiamond.variantMap, 7)).place(world, rand, j7, k10, j13);
         }
 
         for (int i4 = 0; i4 < oreHeightModifier; i4++) {
             int j7 = x + rand.nextInt(16);
             int k10 = minY + rand.nextInt(rangeY / 2);
             int j13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(MossBlock.variantMap, 32)).place(world, rand, j7, k10, j13);
+            (new WorldFeatureOre(BlockMoss.variantMap, 32)).place(world, rand, j7, k10, j13);
         }
 
         for (int j4 = 0; j4 < oreHeightModifier; j4++) {
             int k7 = x + rand.nextInt(16);
             int l10 = minY + rand.nextInt(rangeY / 8) + rand.nextInt(rangeY / 8);
             int k13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(LapisOreBlock.variantMap, 6)).place(world, rand, k7, l10, k13);
+            (new WorldFeatureOre(BlockOreLapis.variantMap, 6)).place(world, rand, k7, l10, k13);
         }
 
 
@@ -289,7 +289,7 @@ public class ChunkDecoratorOverworld
         }
         if (treeDensityOverride != -1) treeDensity = treeDensityOverride;
         try {
-        	BaseLeavesBlock.enableDecay = false;
+        	BlockLeavesBase.enableDecay = false;
             for (int i11 = 0; i11 < treeDensity; i11++) {
                 int l13 = x + rand.nextInt(16) + 8;
                 int j14 = z + rand.nextInt(16) + 8;
@@ -298,7 +298,7 @@ public class ChunkDecoratorOverworld
                 feature.place(world, rand, l13, world.getHeightValue(l13, j14), j14);
             }
         }finally {
-        	BaseLeavesBlock.enableDecay = true;
+        	BlockLeavesBase.enableDecay = true;
         }
         byte byteReeds = 0;
         if (biome == Biomes.OVERWORLD_RAINFOREST) {
@@ -591,7 +591,7 @@ public class ChunkDecoratorOverworld
 
         }
 
-        SandBlock.fallInstantly = false;
+        BlockSand.fallInstantly = false;
         world.scheduledUpdatesAreImmediate = false;
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
index ecfc7652b..707d503b7 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
@@ -1,14 +1,13 @@
 package net.minecraft.core.world.generate.chunk.perlin.overworld.hell;
 
-import net.minecraft.core.block.Block;
+import net.minecraft.core.block.BlockSand;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.CoalOreBlock;
-import net.minecraft.core.block.DiamondOreBlock;
-import net.minecraft.core.block.GoldOreBlock;
-import net.minecraft.core.block.IronOreBlock;
-import net.minecraft.core.block.LapisOreBlock;
-import net.minecraft.core.block.RedstoneOreBlock;
-import net.minecraft.core.block.SandBlock;
+import net.minecraft.core.block.BlockOreCoal;
+import net.minecraft.core.block.BlockOreDiamond;
+import net.minecraft.core.block.BlockOreGold;
+import net.minecraft.core.block.BlockOreIron;
+import net.minecraft.core.block.BlockOreLapis;
+import net.minecraft.core.block.BlockOreRedstone;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.chunk.Chunk;
@@ -45,7 +44,7 @@ public class ChunkDecoratorOverworldHell
 
         float oreHeightModifier = rangeY / 128f;
 
-        SandBlock.fallInstantly = true;
+        BlockSand.fallInstantly = true;
         int x = chunkX * 16;
         int z = chunkZ * 16;
         int y = world.getHeightValue(x + 16, z + 16);
@@ -149,7 +148,7 @@ public class ChunkDecoratorOverworldHell
             int j6 = x + rand.nextInt(16);
             int k9 = minY + rand.nextInt(rangeY);
             int j12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(CoalOreBlock.variantMap, 16)).place(world, rand, j6, k9, j12);
+            (new WorldFeatureOre(BlockOreCoal.variantMap, 16)).place(world, rand, j6, k9, j12);
         }
 
         for(int j3 = 0; j3 < 20; j3++)
@@ -157,7 +156,7 @@ public class ChunkDecoratorOverworldHell
             int k6 = x + rand.nextInt(16);
             int l9 = minY + rand.nextInt(rangeY / 2);
             int k12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(IronOreBlock.variantMap, 8)).place(world, rand, k6, l9, k12);
+            (new WorldFeatureOre(BlockOreIron.variantMap, 8)).place(world, rand, k6, l9, k12);
         }
 
         for(int k3 = 0; k3 < 2; k3++)
@@ -165,7 +164,7 @@ public class ChunkDecoratorOverworldHell
             int l6 = x + rand.nextInt(16);
             int i10 = minY + rand.nextInt(rangeY / 4);
             int l12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(GoldOreBlock.variantMap, 8)).place(world, rand, l6, i10, l12);
+            (new WorldFeatureOre(BlockOreGold.variantMap, 8)).place(world, rand, l6, i10, l12);
         }
 
         for(int l3 = 0; l3 < 8; l3++)
@@ -173,7 +172,7 @@ public class ChunkDecoratorOverworldHell
             int i7 = x + rand.nextInt(16);
             int j10 = minY + rand.nextInt(rangeY / 8);
             int i13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(RedstoneOreBlock.variantMap, 7)).place(world, rand, i7, j10, i13);
+            (new WorldFeatureOre(BlockOreRedstone.variantMap, 7)).place(world, rand, i7, j10, i13);
         }
 
         for(int i4 = 0; i4 < 1; i4++)
@@ -181,7 +180,7 @@ public class ChunkDecoratorOverworldHell
             int j7 = x + rand.nextInt(16);
             int k10 = minY + rand.nextInt(rangeY / 8);
             int j13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(DiamondOreBlock.variantMap, 7)).place(world, rand, j7, k10, j13);
+            (new WorldFeatureOre(BlockOreDiamond.variantMap, 7)).place(world, rand, j7, k10, j13);
         }
 
         for(int j4 = 0; j4 < 1; j4++)
@@ -189,7 +188,7 @@ public class ChunkDecoratorOverworldHell
             int k7 = x + rand.nextInt(16);
             int l10 = minY + rand.nextInt(rangeY / 8) + rand.nextInt(rangeY / 8);
             int k13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(LapisOreBlock.variantMap, 6)).place(world, rand, k7, l10, k13);
+            (new WorldFeatureOre(BlockOreLapis.variantMap, 6)).place(world, rand, k7, l10, k13);
         }
 
         d = 0.5D;
@@ -247,7 +246,7 @@ public class ChunkDecoratorOverworldHell
             world.setBlockWithNotify(x, minY + world.getWorldType().getOceanY() - 1, z, world.getWorldType().getOceanBlockId());
         }
 
-        SandBlock.fallInstantly = false;
+        BlockSand.fallInstantly = false;
 
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
index 7cca23900..183992307 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
@@ -1,12 +1,12 @@
 package net.minecraft.core.world.generate.chunk.perlin.overworld.retro;
 
+import net.minecraft.core.block.BlockSand;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.CoalOreBlock;
-import net.minecraft.core.block.DiamondOreBlock;
-import net.minecraft.core.block.GoldOreBlock;
-import net.minecraft.core.block.IronOreBlock;
-import net.minecraft.core.block.RedstoneOreBlock;
-import net.minecraft.core.block.SandBlock;
+import net.minecraft.core.block.BlockOreCoal;
+import net.minecraft.core.block.BlockOreDiamond;
+import net.minecraft.core.block.BlockOreGold;
+import net.minecraft.core.block.BlockOreIron;
+import net.minecraft.core.block.BlockOreRedstone;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
@@ -46,7 +46,7 @@ public class ChunkDecoratorOverworldRetro
         int maxY = world.getWorldType().getMaxY();
         int rangeY = (maxY + 1) - minY;
 
-        SandBlock.fallInstantly = true;
+        BlockSand.fallInstantly = true;
         int k = chunkX * 16;
         int l = chunkZ * 16;
         Random rand = new Random(world.getRandomSeed());
@@ -91,7 +91,7 @@ public class ChunkDecoratorOverworldRetro
             int i5 = k + rand.nextInt(16);
             int j7 = minY + rand.nextInt(rangeY);
             int i12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(CoalOreBlock.variantMap, 16)).place(world, rand, i5, j7, i12);
+            (new WorldFeatureOre(BlockOreCoal.variantMap, 16)).place(world, rand, i5, j7, i12);
         }
 
         for (int k2 = 0; k2 < 20; k2++)
@@ -99,7 +99,7 @@ public class ChunkDecoratorOverworldRetro
             int j5 = k + rand.nextInt(16);
             int k7 = minY + rand.nextInt(rangeY / 2);
             int j12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(IronOreBlock.variantMap, 8)).place(world, rand, j5, k7, j12);
+            (new WorldFeatureOre(BlockOreIron.variantMap, 8)).place(world, rand, j5, k7, j12);
         }
 
         for (int i3 = 0; i3 < 2; i3++)
@@ -107,7 +107,7 @@ public class ChunkDecoratorOverworldRetro
             int k5 = k + rand.nextInt(16);
             int l7 = minY + rand.nextInt(rangeY / 4);
             int k12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(GoldOreBlock.variantMap, 8)).place(world, rand, k5, l7, k12);
+            (new WorldFeatureOre(BlockOreGold.variantMap, 8)).place(world, rand, k5, l7, k12);
         }
 
         for (int j3 = 0; j3 < 8; j3++)
@@ -115,7 +115,7 @@ public class ChunkDecoratorOverworldRetro
             int l5 = k + rand.nextInt(16);
             int i8 = minY + rand.nextInt(rangeY / 8);
             int l12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(RedstoneOreBlock.variantMap, 7)).place(world, rand, l5, i8, l12);
+            (new WorldFeatureOre(BlockOreRedstone.variantMap, 7)).place(world, rand, l5, i8, l12);
         }
 
         for (int k3 = 0; k3 < 1; k3++)
@@ -123,7 +123,7 @@ public class ChunkDecoratorOverworldRetro
             int i6 = k + rand.nextInt(16);
             int j8 = minY + rand.nextInt(rangeY / 8);
             int i13 = l + rand.nextInt(16);
-            (new WorldFeatureOre(DiamondOreBlock.variantMap, 7)).place(world, rand, i6, j8, i13);
+            (new WorldFeatureOre(BlockOreDiamond.variantMap, 7)).place(world, rand, i6, j8, i13);
         }
 
         d = 0.5D;
@@ -227,7 +227,7 @@ public class ChunkDecoratorOverworldRetro
 
         }
 
-        SandBlock.fallInstantly = false;
+        BlockSand.fallInstantly = false;
         world.scheduledUpdatesAreImmediate = false;
     }
 }
